path: /build/build/zram-init-sys-block-13.0.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    emerge -j ${JOBS} sys-block/zram-init -pv -t && \
    emerge -j ${JOBS} --nodeps sys-block/zram-init && \
    export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && \
    export LUET_PORTAGE_IGNORE_TAR_WARNING=1 && \
    export LUET_PORTAGE_PKGMETA=1 && \
    export LUET_PORTAGE_PKGFILES=1 && \
    eval 'rm -rf /pkgdir/ || true' && mkdir -p /pkgdir/zram-init && \
    luet-portage --dir /pkgdir/zram-init sys-block/zram-init && \
    eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  - cp zram-init /pkgdir/zram-init/etc/conf.d/
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree:79c43bdf0b282378dee9bfdda7450b0c9bdbf09b7b6f3f7abbd228088b83ad95
  package:
    name: zram-init
    version: "13.0"
    category: sys-block
    requires:
    - name: macaroni-funtoo-race15
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Scripts to support compressed swap devices or ramdisks with zRAM
    uri:
    - https://github.com/vaeth/zram-init/
    license: GPL-2
    buildtimestamp: 2025-09-05 13:29:30.402358338 +0000 UTC m=+174.122890247
    labels:
      BDEPEND: sys-devel/gettext
      RDEPEND: app-shells/push virtual/libintl || ( sys-apps/openrc sys-apps/systemd
        )
      emerge.packages: sys-block/zram-init
      kit: kernel-kit
      original.package.name: sys-block/zram-init
      original.package.slot: "0"
      original.package.version: "13.0"
    treedir: /build/packages
  package_dir: /pkgdir/zram-init
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 6dc5232be4a80a08920478256689f575d73ce44dd7d42bdf64b85f95153a01df
compressiontype: zstd
files:
- etc/conf.d/zram-init
- etc/init.d/zram-init
- etc/modprobe.d/zram.conf
- lib/systemd/system/zram_btrfs.service
- lib/systemd/system/zram_swap.service
- lib/systemd/system/zram_tmp.service
- lib/systemd/system/zram_var_tmp.service
- sbin/zram-init
- usr/share/doc/zram-init-13.0/AUTHORS.bz2
- usr/share/doc/zram-init-13.0/ChangeLog.bz2
- usr/share/doc/zram-init-13.0/README.gentoo.bz2
- usr/share/doc/zram-init-13.0/README.md.bz2
- usr/share/locale/de/LC_MESSAGES/zram-init.mo
- usr/share/locale/fr/LC_MESSAGES/zram-init.mo
- usr/share/man/de/man8/zram-init.8.bz2
- usr/share/man/man8/zram-init.8.bz2
- usr/share/zsh/site-functions/_zram-init
- var/db/pkg/sys-block/zram-init-13.0/BDEPEND
- var/db/pkg/sys-block/zram-init-13.0/BUILD_TIME
- var/db/pkg/sys-block/zram-init-13.0/CATEGORY
- var/db/pkg/sys-block/zram-init-13.0/CBUILD
- var/db/pkg/sys-block/zram-init-13.0/CFLAGS
- var/db/pkg/sys-block/zram-init-13.0/CHOST
- var/db/pkg/sys-block/zram-init-13.0/CONTENTS
- var/db/pkg/sys-block/zram-init-13.0/COUNTER
- var/db/pkg/sys-block/zram-init-13.0/CTARGET
- var/db/pkg/sys-block/zram-init-13.0/CXX
- var/db/pkg/sys-block/zram-init-13.0/CXXFLAGS
- var/db/pkg/sys-block/zram-init-13.0/DEFINED_PHASES
- var/db/pkg/sys-block/zram-init-13.0/DESCRIPTION
- var/db/pkg/sys-block/zram-init-13.0/EAPI
- var/db/pkg/sys-block/zram-init-13.0/FEATURES
- var/db/pkg/sys-block/zram-init-13.0/HOMEPAGE
- var/db/pkg/sys-block/zram-init-13.0/INHERITED
- var/db/pkg/sys-block/zram-init-13.0/IUSE
- var/db/pkg/sys-block/zram-init-13.0/IUSE_EFFECTIVE
- var/db/pkg/sys-block/zram-init-13.0/KEYWORDS
- var/db/pkg/sys-block/zram-init-13.0/LDFLAGS
- var/db/pkg/sys-block/zram-init-13.0/LICENSE
- var/db/pkg/sys-block/zram-init-13.0/PF
- var/db/pkg/sys-block/zram-init-13.0/RDEPEND
- var/db/pkg/sys-block/zram-init-13.0/SIZE
- var/db/pkg/sys-block/zram-init-13.0/SLOT
- var/db/pkg/sys-block/zram-init-13.0/USE
- var/db/pkg/sys-block/zram-init-13.0/environment.bz2
- var/db/pkg/sys-block/zram-init-13.0/repository
- var/db/pkg/sys-block/zram-init-13.0/zram-init-13.0.ebuild
package_cacheimage: ""
runtime:
  name: zram-init
  version: "13.0"
  category: sys-block
  requires:
  - name: push
    version: '>=0'
    category: app-shells
  - name: openrc
    version: '>=0'
    category: sys-apps
  - name: libintl
    version: '>=0'
    category: virtual
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Scripts to support compressed swap devices or ramdisks with zRAM
  uri:
  - https://github.com/vaeth/zram-init/
  license: GPL-2
  labels:
    BDEPEND: sys-devel/gettext
    RDEPEND: app-shells/push virtual/libintl || ( sys-apps/openrc sys-apps/systemd
      )
    emerge.packages: sys-block/zram-init
    kit: kernel-kit
    original.package.name: sys-block/zram-init
    original.package.slot: "0"
    original.package.version: "13.0"
